#include <reg52.h>
#include "inc.h"
static void shortdelay()

{
  int i;
  for(i = 10; i > 0; i--);
}


static void longdelay()

{
  int i;
  for(i = 100; i > 0; i--);
}
const unsigned char hello_var[] = {0x91, 0x80};

static void hello()
{

  unsigned char var2 = 0xef;
  P0 = var2;
  P2 = hello_var[1];
  shortdelay();
  var2 = var2 >> 1;
  P2 = hello_var[1];
  P0 = var2;
	shortdelay();
	longdelay();
}

void delay(int a)
{
  unsigned char i;
  for(; a > 0; a--)
    for(i = 18; i > 0; i--)
//		hello()
	;
}
void ledfull()
{
  P2 = 0xff;
  P0 = 0X00;
}